﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Web.Configuration;
using System.Data.SqlClient;

/// <summary>
/// Summary description for CustomersDAO
/// </summary>
public class CustomersDAO
{

    private string connectionString;


  


	public CustomersDAO()
	{
        connectionString = WebConfigurationManager.ConnectionStrings["LocalSqlServer2"].ConnectionString;
     
	}

   

    public DataTable Select()
    {
        string sql = "select * from Customers ";
        SqlDataAdapter adapter = new SqlDataAdapter(sql, connectionString);

        DataTable dt = new DataTable();
        adapter.Fill(dt);

        return dt;
    }


    public DataTable Select(string customerID)
    {
        string sql = "select * from Customers where customerID = '"+customerID+"' ";
        SqlDataAdapter adapter = new SqlDataAdapter(sql, connectionString);

        DataTable dt = new DataTable();
        adapter.Fill(dt);

        return dt;
    }

    public void Insert(Customer customer)
    {

        string sql = @"INSERT INTO [Customers]
           ([CustomerID]
           ,[CompanyName]
           ,[ContactName]
           ,[ContactTitle]
           ,[Address]
           ,[City]
           ,[Region]
           ,[PostalCode]
           ,[Country]
           ,[Phone]
           ,[Fax])
     VALUES
           ('" + customer.CustomerID + @"',
           ,'" + customer.CompanyName + @"',
           ,'" + customer.ContactName + @",
           ,'" + customer.ContactTitle + @",
           ,'" + customer.Address + @",
           ,'" + customer.City + @",
           ,'" + customer.Region + @",
           ,'" + customer.PostalCode + @",
           ,'" + customer.Country + @",
           ,'" + customer.Phone + @",
           ,'" + customer.Fax + @") ";

        SqlConnection conn = new SqlConnection(this.connectionString);
        conn.Open();
        SqlCommand command = new SqlCommand(sql, conn);
        command.ExecuteNonQuery();
        conn.Close();


    }

    public void Update(Customer customer)
    {

        string sql = @"Update Customers set           
           [CompanyName] = '"+customer.CompanyName+@"'
           ,[ContactName] = '" + customer.ContactName + @"'
           ,[ContactTitle]= '" + customer.ContactTitle + @"'
           ,[Address]= '" + customer.Address + @"'
           ,[City]= '" + customer.City + @"'
           ,[Region]= '" + customer.Region + @"'
           ,[PostalCode]= '" + customer.PostalCode + @"'
           ,[Country]= '" + customer.Country + @"'
           ,[Phone]= '" + customer.Phone + @"'
           ,[Fax]= '" + customer.Fax + @"'
where CustomerID = '" +customer.CustomerID+"' ";
    

        SqlConnection conn = new SqlConnection(this.connectionString);
        conn.Open();
        SqlCommand command = new SqlCommand(sql, conn);
        command.ExecuteNonQuery();
        conn.Close();


    }

    public void Delete(Customer customer)
    {
        string sql = @"Delete from Customers 
where CustomerID = '" + customer.CustomerID + "' ";


        SqlConnection conn = new SqlConnection(this.connectionString);
        conn.Open();
        SqlCommand command = new SqlCommand(sql, conn);
        command.ExecuteNonQuery();
        conn.Close();
    }

}
