﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.IO;

public partial class DemoFileUpload : System.Web.UI.Page
{
    private readonly string rootPath = "/doc";


    protected void Page_Load(object sender, EventArgs e)
    {
         string physicalPath = Server.MapPath("~" + rootPath);

        if (!String.IsNullOrEmpty( this.FileUpload1.FileName))
        {
            this.FileUpload1.SaveAs(physicalPath + "/" + this.FileUpload1.FileName);
        }

       

        //string serverPath = "http://" + Request.Url.Host + ":" + Request.Url.Port + Request.ApplicationPath;

        DirectoryInfo dir = new DirectoryInfo(physicalPath);
        FileInfo[] files = dir.GetFiles();
        DataTable dt = new DataTable();
        dt.Columns.Add("FilePath", typeof(string));
        dt.Columns.Add("FileName", typeof(string));
       

        for (int i=0;i<files.Length;i++)
        {
            DataRow dr = dt.NewRow();
            dr["FilePath"] = "~"+rootPath + "/" + files[i].Name;
            dr["FileName"] =  files[i].Name;
            dt.Rows.Add(dr);
        }

        this.GridView1.DataSource = dt;
        this.GridView1.DataBind();
    }
    protected void GridView1_DataBound(object sender, EventArgs e)
    {
        for (int i = 0; i < this.GridView1.Rows.Count; i++)
        {
            TableCell cell = this.GridView1.Rows[i].Cells[0];
            HtmlAnchor link = (HtmlAnchor)cell.FindControl("LinkFile");
            link.InnerText = link.HRef.Substring(link.HRef.LastIndexOf('/') + 1);
        }
    }
    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
       //if ( e.CommandName.Equals("Delete"))
       //{
       //    int index = int.Parse(e.CommandArgument.ToString());
       //    HtmlAnchor link = (HtmlAnchor)this.GridView1.Rows[index].Cells[0].FindControl("LinkFile");
       //    string filePath = Server.MapPath(link.HRef);
       //    File.Delete(filePath);
       //}
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {

        int index = e.RowIndex;
        HtmlAnchor link = (HtmlAnchor)this.GridView1.Rows[index].Cells[0].FindControl("LinkFile");
        string filePath = Server.MapPath(link.HRef);
        File.Delete(filePath);
        Response.Redirect(Request.Url.ToString());
    }
}
