﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using System.Threading;
using System.Globalization;


public partial class MasterPage : System.Web.UI.MasterPage
{
    



    protected void Page_Load(object sender, EventArgs e)
    {
        this.PreRender += new EventHandler(MasterPage_PreRender);

    }

    void MasterPage_PreRender(object sender, EventArgs e)
    {

        if (!IsPostBack || (string)Session["CultureName"] != CultureInfo.CurrentCulture.Name)
        {
            // set Controls
            string UserCulture = (String)Session["CultureName"];


            this.DropDownListLanguage.SelectedValue = UserCulture;

            //this.DropDownListLanguage.Items[0].Text = Resources.Resource.LanguageEnglish;
            //this.DropDownListLanguage.Items[1].Text = Resources.Resource.LanguageChinese;

        }

    }


    protected void DropDownListLanguage_SelectedIndexChanged(object sender, EventArgs e)
    {


        string SelectedLanguage = this.DropDownListLanguage.SelectedValue.ToString();
        //Save selected user language in profile 
        //Profile.SetPropertyValue("PreferredCulture", SelectedLanguage);
        Session["CultureName"] = SelectedLanguage;

        //Force re-initialization of the page to fire InitializeCulture()
        Response.Redirect(Request.Url.PathAndQuery);
    }
}
