﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Threading;
using System.Globalization;

/// <summary>
/// Summary description for BasePage
/// </summary>
public class BasePage : Page
{
       protected override void InitializeCulture()
    {
        String UserCulture = (String)Session["CultureName"];

        if (UserCulture == null || UserCulture.Equals(""))
        {
            UserCulture = "zh-TW";
            Session["CultureName"] = UserCulture;
        }
     

        // there is a user language setting in the profile: switch to it
        Thread.CurrentThread.CurrentUICulture = new CultureInfo(UserCulture);
        Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(UserCulture);

      
    }


	
}
